<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * WPS_maganizer
 */

get_header(); ?>
<?php
    if ( function_exists('WPS_framework_init') && wps_get_option('error_page_custom_design' )) {
        //select from option panel
        $error_page_design = wps_get_option('error_page_custom_design');;
        echo do_shortcode('[INSERT_ELEMENTOR id='. $error_page_design .']');
    } else { ?>
        <section class="error-404 not-found">
            <div class="container">
                <header class="page-header">
                    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'maganizer' ); ?></h1>
                </header><!-- .page-header -->
                <div class="page-content">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location.', 'maganizer' ); ?></p>
                    <p><?php esc_html_e( 'Maybe try a search?', 'maganizer' ); ?></p>
                    <div class="error-search-box">
                        <form class="themain-search-bbs" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                            <input type="text" name="s" id="search" placeholder="<?php echo esc_attr_e( 'Search and Hit Enter', 'maganizer' ); ?>" value="<?php the_search_query(); ?>" />
                            <input class="seach-here" type="submit" id="searchsubmit"
                                   value="<?php echo esc_attr_e( 'Search', 'maganizer' ); ?>" />
                        </form>
                    </div>
                </div><!-- .page-content -->
            </div>
        </section><!-- .error-404 -->
    <?php }
get_footer();
