<div class="archive-of-wps">
    <?php if ( !is_home() ) { ?>
        <?php if ( is_search() ) { ?>
            <div class="archive-header">
                <div class="archive-title">
                    <h2><?php esc_html_e( 'Search Result For :', 'maganizer'); echo get_search_query(); ?></h2>
                </div>
            </div>
        <?php } elseif ( is_category () ) { ?>
            <div class="archive-header">
                <div class="archive-title">
                    <h2>
                        <?php
                        $categories = get_the_category();
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );
                        }
                        ?>
                    </h2>
                </div>
            </div>
        <?php }  ?>
    <?php } ?>
    <div class="archive-post-section">
        <article class="archive-start">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                <article <?php post_class() ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail() ) { ?>
                    <div class="image-left-side">
                        <?php
                        $post_tags = get_the_tags();
                        if ($post_tags) { ?>
                            <span class="random-tag">
                                    <?php
                                    echo esc_attr($post_tags[0]->name);
                                    ?>
                                </span>
                        <?php } ?>
                        <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                        <div class="height-sizer"></div>
                        <div class="background-image-featured" style="background-image: url(<?php echo esc_url($feat_image_url); ?>)"></div>
                    </div>
                    <?php } ?>
                    <div class="archive-content <?php if ( !has_post_thumbnail() ) { ?> no-thumbnail <?php } ?>">
                        <div class="post-meta-data">
                            <span class="posted-by black">By</span>
                            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="meta-links author redlink"><?php echo get_the_author(); ?></a>
                            <span class="meta-links post-date black placeright"><?php echo the_date(); ?></span>
                        </div>
                        <a href="<?php the_permalink() ?>">
                            <h3><?php the_title(); ?></h3>
                        </a>
                        <div class="post-content">
                            <?php echo wp_trim_words( get_the_content(), 25, '...' ); ?>
                        </div>
                        <a href="<?php the_permalink() ?>">
                            <span class="more-to-read-post"><?php echo esc_html_e( 'Read More', 'maganizer' ); ?></span>
                        </a>
                    </div>
                </article>
            <?php endwhile; ?>
                <div class="full-pagination-design">
                    <?php
                    global $wp_query;
                    $total_pages = $wp_query->max_num_pages;
                    if ($total_pages > 1){
                        $current_page = max(1, get_query_var('paged'));
                        echo "<div class='paginate'>";
                        echo '<div class="pagination-content">';
                        echo paginate_links(array(
                            'base' => get_pagenum_link(1) . '%_%',
                            'format' => '/page/%#%',
                            'current' => $current_page,
                            'total' => $total_pages,
                            'prev_text' => esc_html('Prev', 'maganizer'),
                            'next_text' => esc_html('Next', 'maganizer')
                        ));
                        echo '</div>';
                        echo "</div>";
                    }
                    ?>
                </div>
            <?php else : ?>
                <div class="search-not-found-end-page">
                    <h2 class="no-found-search"><?php echo esc_html_e('Nothing Found', 'maganizer'); ?></h2>
                    <p class="discription-search-error"><?php echo esc_html_e( 'Sorry, but no results were found for the requested archive. Try using the search with a relevant phrase to find the post you are looking for.', 'maganizer' ); ?></p>
                </div>
                <div class="error-page-set">
                    <div class="page-content">
                        <p class="title-next-search"><?php esc_html_e( 'Maybe try a search?', 'maganizer' ); ?></p>
                        <div class="error-search-box">
                            <form class="themain-search-bbs" action="<?php echo esc_html( home_url( '/') ); ?>" method="get">
                                <input type="text" name="s" id="search" placeholder="<?php echo esc_html_e( 'Search and Hit Enter', 'maganizer' ); ?>" value="<?php the_search_query(); ?>" />
                                <input class="seach-here" type="submit" id="searchsubmit"
                                       value="<?php echo esc_html_e( 'Search', 'maganizer' ); ?>" />
                            </form>
                        </div>
                    </div><!-- .page-content -->
                </div>
            <?php endif; ?>
        </article>
    </div>
</div>