<?php
/**
 * Template Name: Demo Pages Only
 *
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php get_template_part('template-parts/share', 'meta') ?>
    <?php get_template_part('template-parts/json', 'ld') ?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php if (function_exists('WPS_framework_init')) {
    $meta_value = get_post_meta(get_the_ID(), 'post_meta_int', true);
    if ( $meta_value['elementor_header_seclect'] == '1' ) {
        if ($meta_value['default_header_design_select'] == 'default_design') {
            get_template_part('template-parts/headers/default', 'header');
        } else if ($meta_value['default_header_design_select'] == 'design_two') {
            get_template_part('template-parts/headers/header', 'one');
        } else if ($meta_value['default_header_design_select'] == 'design_three') {
            get_template_part('template-parts/headers/header', 'three');
        } else if ($meta_value['default_header_design_select'] == 'design_four') {
            get_template_part('template-parts/headers/header', 'four');
        } else if ($meta_value['default_header_design_select'] == 'design_five') {
            get_template_part('template-parts/headers/header', 'five');
        }
    } else {
        $demoheader = $meta_value['single_header_page'];
        echo do_shortcode('[INSERT_ELEMENTOR id=' . $demoheader .']');
    }
    ?>

    <div class="mobile-menu-section">
        <span class="closing-area"></span>
        <div class="mobile-menu-header">
            <div class="search-box-mobile-menu">
                <?php echo get_search_form(); ?>
            </div>
            <i class="fas fa-times close-menu"></i>
        </div>
        <div class="mobile-menu-ss <?php if (function_exists('WPS_framework_init')) { ?> <?php } else { ?> no-plugin-ready <?php } ?>" id="main-mobile-menusc">
            <div class="side-place-for-social">
                <p class="single-text-rotate"><?php echo esc_attr_e('Follow Us On Social', 'maganizer'); ?></p>
                <div class="menu-social-side">
                    <?php if (function_exists('WPS_framework_init')) { ?>
                        <ul>
                            <?php if (wps_get_option('facebook_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>">
                                        <i class="fab fa-facebook-f"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('twitter_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>">
                                        <i class="fab fa-twitter"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('youtube_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>">
                                        <i class="fab fa-youtube"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('instagram_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('instagram_url')); ?>">
                                        <i class="fab fa-instagram"></i>
                                    </a>
                                </li>
                            <?php } ?>
                        </ul>
                    <?php } ?>
                </div>
            </div>
            <?php
            wp_nav_menu( array(
                'theme_location' => 'main_nav',
                'menu_id'        => 'main-menu-top-set',
            ) );
            ?>
        </div>
    </div>


    <?php //Content Start
        while ( have_posts() ) : the_post();
            get_template_part( 'template-parts/builder', 'page' );
        endwhile; // End of the loop.
    ?>
        <footer class="main-footer-section">
            <?php if ( $meta_value['single_footer_page']) {
                $demofooter = $meta_value['single_footer_page'];
                echo do_shortcode('[INSERT_ELEMENTOR id=' . $demofooter .']');
            } else { ?>

            <?php } ?>
        </footer>
   <?php }?>
<?php wp_footer(); ?>
</body>
</html>



