<?php
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php get_template_part('template-parts/share', 'meta') ?>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php if (function_exists('WPS_framework_init')) {
    if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { } else {
    if ( wps_get_option('preloader_enable' ) == '1' ) {
        ?>
        <div class="preloader">
            <div class="image-place-holder" <?php if ( wps_get_option('preloader_enable' ) == '1' ) { ?> style="background-image: url(<?php echo esc_url(wps_get_option('upload_preloader_image')); ?>) !important;" <?php } ?>></div>
        </div>
    <?php } }
} ?>

<?php if (function_exists('WPS_framework_init')) { ?>
    <?php if ( wps_get_option('header_special_message' ) == '1' ) { ?>
        <section class="top-message" style="background-color: <?php echo wps_get_option('message_background_color' ); ?>">
            <div class="content-section">
                <?php if (wps_get_option('new_icon_box' )) { ?>
                    <span class="net-tag"><?php echo wps_get_option('new_icon_box' ) ?></span>
                <?php } ?>
                <h2><?php echo wps_get_option('header_message_title' ) ?></h2>
                <a href="<?php echo esc_url(get_category_link(wps_get_option('read_more_link'))); ?>"><?php echo wps_get_option('read_more_link_text' ) ?></a>
            </div>
        </section>
    <?php } ?>
<?php } ?>

<?php if (function_exists('WPS_framework_init')) { ?>
    <?php if (wps_get_option('elementor_header_seclect') == '1') {
        $header_design_custom = wps_get_option('header_design_select_custom');;
        echo do_shortcode('[INSERT_ELEMENTOR id='. $header_design_custom .']');
    } else {
        if (wps_get_option('default_header_design_select') == 'default_design') {
            get_template_part('template-parts/headers/default', 'header');
        } else if (wps_get_option('default_header_design_select') == 'design_two') {
            get_template_part('template-parts/headers/header', 'one');
        } else if (wps_get_option('default_header_design_select') == 'design_three') {
            get_template_part('template-parts/headers/header', 'three');
        } else if (wps_get_option('default_header_design_select') == 'design_four') {
            get_template_part('template-parts/headers/header', 'four');
        } else if (wps_get_option('default_header_design_select') == 'design_five') {
            get_template_part('template-parts/headers/header', 'five');
        }
    }
// if not installed
} else {
    get_template_part('template-parts/headers/no', 'plugins');
}
?>

<?php if ( has_nav_menu( 'main_nav' ) ) { ?>
<div class="mobile-menu-section">
    <span class="closing-area"></span>
    <div class="mobile-menu-header">
        <div class="search-box-mobile-menu" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
            <?php echo get_search_form(); ?>
        </div>
        <i class="fas fa-times close-menu"></i>
    </div>
    <div class="mobile-menu-ss <?php if (function_exists('WPS_framework_init')) { ?> <?php } else { ?> no-plugin-ready <?php } ?>" id="main-mobile-menusc">
        <?php if (function_exists('WPS_framework_init')) { ?>
        <div class="side-place-for-social">
            <p class="single-text-rotate"><?php  esc_html_e( "FOLLOW US ON SOCIAL", "maganizer" ); ?></p>
            <div class="menu-social-side">
                    <ul>
                        <?php if (wps_get_option('facebook_url')) { ?>
                            <li>
                                <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>">
                                    <i class="fab fa-facebook-f"></i>
                                </a>
                            </li>
                        <?php } ?>
                        <?php if (wps_get_option('twitter_url')) { ?>
                            <li>
                                <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>">
                                    <i class="fab fa-twitter"></i>
                                </a>
                            </li>
                        <?php } ?>
                        <?php if (wps_get_option('youtube_url')) { ?>
                            <li>
                                <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>">
                                    <i class="fab fa-youtube"></i>
                                </a>
                            </li>
                        <?php } ?>
                        <?php if (wps_get_option('instagram_url')) { ?>
                            <li>
                                <a href="<?php echo esc_url(wps_get_option('instagram_url')); ?>">
                                    <i class="fab fa-instagram"></i>
                                </a>
                            </li>
                        <?php } ?>
                    </ul>
            </div>
        </div>
        <?php } ?>
        <?php
        wp_nav_menu( array(
            'theme_location' => 'slide_nav',
            'menu_id'        => 'main-menu',
        ) );
        ?>
    </div>
</div>
<?php } ?>