<?php

class maganizer_wps_dashboard {

    public function __construct() {

        require_once get_parent_theme_file_path('/importer/inc/theme-system.php');

        add_action( 'admin_menu', array( $this, 'add_menu_link' ) );
        add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
        add_action( 'admin_init', array( $this, 'redirect' ) );

    }

    /**
     * Add theme dashboard page.
     */
    public function add_menu_link() {

        $page_title = esc_html__('Maganizer Theme Dashboard', 'maganizer');
        add_theme_page( $page_title, 'Theme Dashboard', 'manage_options', 'maganizer_wps_dashboard', array( $this, 'dashboard_welcome' ), null, 3 );
    }

    /**
     * Show dashboard page.
     */
    public function dashboard_welcome() {
        ?>
        <div class="wrap about-wrap theme-dashboard-wrapper welcome-wrapper">
            <?php include get_template_directory() . '/importer/inc/header.php'; ?>
            <?php include get_template_directory() . '/importer/inc/theme-welcome.php'; ?>
        </div>
        <?php
    }

    /**
     * Enqueue scripts for dashboard page.
     *
     * @param string $hook Page hook.
     */
    public function enqueue_scripts( $hook ) {

        wp_enqueue_media();
        wp_enqueue_style( "theme-dashboard-style", get_template_directory_uri() . '/importer/assets/style.css' );

    }

    /**
     * Redirect to dashboard page after theme activation.
     */
    public function redirect() {
        global $pagenow;
        if ( is_admin() && isset( $_GET['activated'] ) && 'themes.php' === $pagenow ) {
            wp_safe_redirect( admin_url( "admin.php?page=maganizer_wps_dashboard" ) );
            exit;
        }
    }
}
new maganizer_wps_dashboard();


if(!function_exists('wps_update_cache')):
    function maganizer_wps_update_options_cache() {
        $option_name = 'themeoptions_saved_date';

        $new_value = microtime(true) ;

        if ( get_option( $option_name ) !== false ) {

            // The option already exists, so we just update it.
            update_option( $option_name, $new_value );

        } else {

            // The option hasn't been added yet. We'll add it with $autoload set to 'no'.
            $deprecated = null;
            $autoload = 'no';
            add_option( $option_name, $new_value, $deprecated, $autoload );
        }
    }
endif;
add_action( 'customize_save_after', 'wps_update_cache');