<?php
/**
 * wpsmart_maganizer Theme Customizer
 *
 * WPS_maganizer
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

if ( ! isset( $content_width ) ) $content_width = 1400;

function maganizer_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->add_control( new WP_Customize_Color_Control(
        $wp_customize,
        'your_control_id',
        array(
            'label'      => esc_html__( 'Header Color', 'maganizer' ),
            'section'    => 'your_section_id',
            'settings'   => 'your_setting_id',
            'priority'   => 1
        )
    ));

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'wpsmart_maganizer_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'wpsmart_maganizer_customize_partial_blogdescription',
		) );
	}
}
add_action( 'customize_register', 'maganizer_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function maganizer_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function maganizer_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function maganizer_customize_preview_js() {
	wp_enqueue_script( 'wpsmart_maganizer-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'wpsmart_maganizer_customize_preview_js' );
