<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

get_header(); ?>
<div class="main-page-design">
    <?php
        if ( function_exists('WPS_framework_init') && wps_get_option('home_page_design' ))  {
            if (wps_get_option('show_hide_header_widget_title') == '' ) { ?>
            <div class="tabs-contents">
                <div id="wps<?php echo wps_get_option('tabs_widget_one'); ?>" class="first-active-tab tabcontent">
                    <?php
                    $home_page_design = wps_get_option('home_page_design');
                    echo do_shortcode('[INSERT_ELEMENTOR id='. $home_page_design .']');
                    ?>
                </div>
                <div id="wps<?php echo wps_get_option('tabs_widget_two'); ?>" class="tabcontent">
                    <?php
                    $home_page_design_two = wps_get_option('home_page_design_two');
                    echo do_shortcode('[INSERT_ELEMENTOR id='. $home_page_design_two .']');
                    ?>
                </div>
                <div id="wps<?php echo wps_get_option('tabs_widget_three'); ?>" class="tabcontent">
                    <?php
                    $home_page_design_three = wps_get_option('home_page_design_three');
                    echo do_shortcode('[INSERT_ELEMENTOR id='. $home_page_design_three .']');
                    ?>
                </div>
            </div>
            <?php
            } else {
                $home_page_design = wps_get_option('home_page_design');
                echo do_shortcode('[INSERT_ELEMENTOR id='. $home_page_design .']');
            }
        } else { ?>
            <div class="site-main">
                <div class="container">
                    <div class="row">
                        <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> left-padding-remove col-md-8 <?php } else { ?> col-md-12 home-padding <?php } ?>">
                            <?php get_template_part( 'archive', 'content' ); ?>
                        </div>
                        <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                            <div class="col-md-4 right-padding-remove">
                                <?php get_template_part( 'archive', 'sidebar' ); ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
   <?php  }  ?>
</div>
<?php
get_footer();
