<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

get_header();
if (function_exists('WPS_framework_init')) { ?>
	<main class="single-page-default">
        <div class="container">
                <?php
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/content', 'page' );
                endwhile;
                ?>
        </div>
	</main>
<?php } else { ?>
    <div class="custom-post-content">
        <div class="sharepost-template in-single-page very-default-single">
            <div class="container">
                <div class="row">
                    <?php
                            while ( have_posts() ) : the_post(); ?>
                    <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>  left-padding-remove col-md-8 <?php } else { ?> col-md-12 home-padding <?php } ?>">
                        <h2 class="main-post-title">
                            <?php the_title(); ?>
                        </h2>
                        <div class="post-meta-data under-border-here">
                            <span class="posted-by black">By</span>
                            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="meta-links author redlink"><?php echo get_the_author(); ?></a>
                            <span class="meta-links post-date black placeright"><?php echo get_the_date(); ?></span>
                        </div>
                        <div class="entry-content single-page-designx">


                                <?php the_content(); ?>

                        </div>
                        <?php wp_link_pages(); ?>

                        <div class="comment-template single-page-comment">
                            <?php comments_template(); ?>
                        </div>
                    </div>
                               <?php endwhile;
                                ?>
                    <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                        <div class="col-md-4 right-padding-remove">
                            <?php get_template_part( 'archive', 'sidebar' ); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<?php
get_footer();
