<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * WPS_maganizer
 */

get_header(); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <?php setPostViews(get_the_ID()); ?>
    <div class="custom-post-content" id="post-<?php the_ID(); ?>">
        <?php if (function_exists('WPS_framework_init')) {
            //Meta box select
            $meta_value = get_post_meta(get_the_ID(), 'maganizer_metadata', true);
            if (!empty($meta_value['post_elimentor_design']) and ($meta_value['use_custom_post_template']) == '1') {
                $postpage_shcode = $meta_value['post_elimentor_design'];
                echo do_shortcode('[INSERT_ELEMENTOR id='. $postpage_shcode .']');
            }  else if ( wps_get_option('single_page_design' )) {
                //select from option panel
                $single_page_id = wps_get_option('single_page_design');;
                echo do_shortcode('[INSERT_ELEMENTOR id='. $single_page_id .']');
            } else {?>
                <div class="full-default-page very-default-single">
                    <?php if ( has_post_thumbnail() ) { ?>
                        <div class="header-post with-image-ready">
                            <div class="container">
                                <?php $post_tags = get_the_tags();
                                if ($post_tags) { ?>
                                    <span class="random-tag">
                                    <?php
                                    echo esc_attr($post_tags[0]->name);
                                    ?>
                                </span>
                                <?php } ?>
                            </div>
                            <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                            <div class="background-image-featured" style="background-image: url(<?php echo esc_url($feat_image_url); ?>)"></div>
                            <div class="information-box">
                                <div class="container">
                                    <a href="<?php the_permalink(); ?>">
                                        <h2>
                                            <?php the_title(); ?>
                                        </h2>
                                    </a>
                                </div>
                            </div>
                        </div>
                    <?php } else { ?>
                        <div class="without-image">
                            <div class="container">
                                <div class="row">
                                    <h2 class="main-post-title">
                                        <?php the_title(); ?>
                                    </h2>
                                </div>
                            </div>
                        </div>
                    <?php } ?>
                    <div class="container">
                        <div class="row">
                            <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> col-md-8 <?php } else { ?> col-md-12 no-sidebar <?php } ?>">
                                <div class="gut-support">
                                    <div class="entry-content default-sentry-content">
                                        <?php the_content();?>
                                    </div>
                                </div>
                                <div class="post-tags in-single-page">
                                    <div class="tags">
                                        <?php the_tags('', '', ''); ?>
                                    </div>
                                </div>
                                <div class="in-single-page">
                                    <div class="post-author-template">
                                        <h2 class="main-author"><?php the_author(); ?></h2>
                                        <div class="postauth">
                                            <div class="image-side">
                                                <?php echo get_avatar( get_the_author_meta( 'ID' ), '150' ); ?>
                                            </div>
                                            <div class="auth-content">
                                                <?php echo wp_kses( get_the_author_meta( 'description' ), null ); ?>
                                            </div>
                                        </div>
                                        <div class="social-icons">
                                            <?php if ( get_the_author_meta( 'twitter' ) != '' )  { ?>
                                                <a class="twitter-link" href="<?php echo wp_kses( get_the_author_meta( 'twitter' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-twitter"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'facebook' ) != '' )  { ?>
                                                <a class="facebook-link" href="<?php echo wp_kses( get_the_author_meta( 'facebook' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-facebook-f"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'vk' ) != '' )  { ?>
                                                <a class="google-link" href="<?php echo wp_kses( get_the_author_meta( 'vk' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-vk"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'pintrest' ) != '' )  { ?>
                                                <a class="pintrest-link" href="<?php echo wp_kses( get_the_author_meta( 'pintrest' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-pinterest-p"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'linkedin' ) != '' )  { ?>
                                                <a class="linkedin-link" href="<?php echo wp_kses( get_the_author_meta( 'linkedin' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-linkedin-in"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'youtube' ) != '' )  { ?>
                                                <a class="youtubevid-link" href="<?php echo wp_kses( get_the_author_meta( 'youtube' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-youtube"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'dribbble' ) != '' )  { ?>
                                                <a class="dribbble-link" href="<?php echo wp_kses( get_the_author_meta( 'dribbble' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-dribbble"></i>
                                                </a>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="in-single-page">
                                    <div class="next-and-back">
                                        <div class="wrap no-padding-vertical">
                                            <div class="old-link dual-navigation">
                                                <?php if(get_previous_post()){ ?>
                                                    <i class="fas fa-chevron-left"></i>
                                                    <i class="low-50 fas fa-chevron-left"></i>
                                                    <i class="low-80 fas fa-chevron-left"></i>
                                                    <?php previous_post_link( '<span class="sub-titles">Previous Post</span> %link', '%title' ); ?>
                                                <?php } ?>
                                            </div>
                                            <div class="next-link dual-navigation">
                                                <?php if(get_next_post()){ ?>
                                                    <i class="fas fa-chevron-right"></i>
                                                    <i class="low-50 fas fa-chevron-right"></i>
                                                    <i class="low-80 fas fa-chevron-right"></i>
                                                    <?php next_post_link( '<span class="sub-titles">Next Post</span> %link', '%title' ); ?>
                                                <?php } ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="comment-template">
                                    <?php comments_template(); ?>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <?php get_template_part( 'archive', 'sidebar' ); ?>
                            </div>
                        </div>

                    </div>

                </div>
            <?php } ?>
        <?php } else { ?>
            <!--Default if not select form meta box-->
            <div class="full-default-page very-default-single">
                <?php if ( has_post_thumbnail() ) { ?>
                    <div class="header-post with-image-ready">
                        <div class="container">
                            <?php $post_tags = get_the_tags();
                            if ($post_tags) { ?>
                                <span class="random-tag">
                                    <?php
                                    echo esc_attr($post_tags[0]->name);
                                    ?>
                                </span>
                            <?php } ?>
                        </div>
                        <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                        <div class="background-image-featured" style="background-image: url(<?php echo esc_url($feat_image_url); ?>)"></div>
                        <div class="information-box">
                            <div class="container">
                                <a href="<?php the_permalink(); ?>">
                                    <h2>
                                        <?php the_title(); ?>
                                    </h2>
                                </a>
                            </div>
                        </div>
                    </div>
                <?php } else { ?>
                    <div class="without-image">
                        <div class="container">
                            <div class="row">
                                <h2 class="main-post-title">
                                    <?php the_title(); ?>
                                </h2>
                            </div>
                        </div>
                    </div>
                <?php } ?>
                <div class="container">
                    <div class="middle-content-center">
                        <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> col-md-8 <?php } else { ?> col-md-12 no-sidebar <?php } ?> left-padding-remove">
                            <div class="gut-support">
                                <div class="entry-content default-sentry-content">
                                    <?php the_content();?>
                                </div>
                            </div>
                            <?php if(has_tag()) { ?>
                            <div class="post-tags in-single-page">
                            <div class="tags">
                                <?php the_tags('', '', ''); ?>
                            </div>
                            </div>
                            <?php } ?>
                            <?php if ( ! empty ( get_the_author_meta( 'description' ) ) ) { ?>
                                <div class="in-single-page">
                                        <div class="post-author-template">
                                        <h2 class="main-author"><?php the_author(); ?></h2>
                                        <div class="postauth">
                                            <div class="image-side">
                                                <?php echo get_avatar( get_the_author_meta( 'ID' ), '150' ); ?>
                                            </div>
                                            <div class="auth-content">
                                                <?php echo wp_kses( get_the_author_meta( 'description' ), null ); ?>
                                            </div>
                                        </div>
                                        <div class="social-icons">
                                            <?php if ( get_the_author_meta( 'twitter' ) != '' )  { ?>
                                                <a class="twitter-link" href="<?php echo wp_kses( get_the_author_meta( 'twitter' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-twitter"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'facebook' ) != '' )  { ?>
                                                <a class="facebook-link" href="<?php echo wp_kses( get_the_author_meta( 'facebook' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-facebook-f"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'vk' ) != '' )  { ?>
                                                <a class="google-link" href="<?php echo wp_kses( get_the_author_meta( 'vk' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-vk"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'pintrest' ) != '' )  { ?>
                                                <a class="pintrest-link" href="<?php echo wp_kses( get_the_author_meta( 'pintrest' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-pinterest-p"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'linkedin' ) != '' )  { ?>
                                                <a class="linkedin-link" href="<?php echo wp_kses( get_the_author_meta( 'linkedin' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-linkedin-in"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'youtube' ) != '' )  { ?>
                                                <a class="youtubevid-link" href="<?php echo wp_kses( get_the_author_meta( 'youtube' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-youtube"></i>
                                                </a>
                                            <?php } ?>

                                            <?php if ( get_the_author_meta( 'dribbble' ) != '' )  { ?>
                                                <a class="dribbble-link" href="<?php echo wp_kses( get_the_author_meta( 'dribbble' ), null ); ?>" target="_blank">
                                                    <i class="fab fa-dribbble"></i>
                                                </a>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                            <?php } ?>

                        <div class="in-single-page">
                            <div class="next-and-back">
                                <div class="wrap no-padding-vertical">
                                    <div class="old-link dual-navigation">
                                        <?php if(get_previous_post()){ ?>
                                            <i class="fas fa-chevron-left"></i>
                                            <i class="low-50 fas fa-chevron-left"></i>
                                            <i class="low-80 fas fa-chevron-left"></i>
                                            <?php previous_post_link( '<span class="sub-titles">Previous Post</span> %link', '%title' ); ?>
                                        <?php } ?>
                                    </div>
                                    <div class="next-link dual-navigation">
                                        <?php if(get_next_post()){ ?>
                                            <i class="fas fa-chevron-right"></i>
                                            <i class="low-50 fas fa-chevron-right"></i>
                                            <i class="low-80 fas fa-chevron-right"></i>
                                            <?php next_post_link( '<span class="sub-titles">Next Post</span> %link', '%title' ); ?>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                            </div>
                            <div class="comment-template">
                                <?php comments_template(); ?>
                            </div>
                        </div>
                        <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                            <div class="col-md-4 right-padding-remove">
                                <?php get_template_part( 'archive', 'sidebar' ); ?>
                            </div>
                        <?php } ?>
                    </div>
                </div>

            </div>
        <?php } ?>
    </div>

<?php endwhile; endif; ?>
<?php
get_footer();