<?php
add_action('wp_ajax_load_posts_by_ajax', 'load_posts_by_ajax_callback');
add_action('wp_ajax_nopriv_load_posts_by_ajax', 'load_posts_by_ajax_callback');

function load_posts_by_ajax_callback() {
    check_ajax_referer('load_more_posts', 'security');
    $paged = $_POST['page'];
    $args = array(
        'post_type' => 'post',
        'post_status' => 'publish',
        'posts_per_page' => '4',
        'paged' => $paged,
    );
    $my_posts = new WP_Query( $args );
    if ( $my_posts->have_posts() ) :
        ?>
        <?php while ( $my_posts->have_posts() ) : $my_posts->the_post(); ?>
        <div class="archive-post-section">
            <div class="post-image-thumb">
                <div class="height-sizer"></div>
                <div class="mets-and-ttl">
                    <div class="post-meta-data">
                        <span class="posted-by">By</span>
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="meta-links author"><?php echo get_the_author(); ?></a>
                        <span class="meta-links post-date"><?php echo maganizer_posttime(); ?></span>
                    </div>
                    <a href="<?php the_permalink(); ?>">
                        <h2><?php the_title(); ?></h2>
                    </a>
                </div>
                <?php if ( has_post_format( 'video' )) { ?>
                    <i class="post-type-top-icon fas fa-video"></i>
                <?php } else if ( has_post_format( 'gallery' )) { ?>
                    <i class="post-type-top-icon fas fa-images"></i>
                <?php } else if ( has_post_format( 'quote' )) { ?>
                    <i class="post-type-top-icon fas fa-quote-right"></i>
                <?php } else if ( has_post_format( 'audio' )) { ?>
                    <i class="post-type-top-icon fab fa-itunes-note"></i>
                <?php }?>
                <?php the_post_thumbnail('maganizer-medium-post-thumb', array( 'alt' => get_the_title() )); ?>
            </div>
        </div>
    <?php endwhile; ?>
    <?php
    endif;

    wp_die();
} ?>