<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

?>

<div class="post-page-content hidden">
    <div class="container">
        <div class="featured-image">
            <?php the_post_thumbnail(); ?>
        </div>
        <div class="header-title">
            <?php
            if ( is_singular() ) :
                the_title( '<h1 class="entry-title">', '</h1>' );
            else :
                the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
                if ( has_post_thumbnail() ) : ?>
                    <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                    <div class="background-image-featured" style="background-image: url(<?php echo esc_url($feat_image_url); ?>)"></div>
                <?php endif;
            endif;
            ?>
        </div>
        <div class="header-meta">
            <div class="post-meta">
                <div class="post-time">
                    <i class="far fa-clock"></i> <?php echo maganizer_posttime(); ?>
                </div>
                <div class="post-view">
                    <i class="fas fa-eye"></i> <?php echo setPostViews(get_the_ID()); ?>
                </div>
                <div class="comment-count">
                    <a href="<?php the_permalink(); ?>">
                        <i class="far fa-comment"></i> <?php echo esc_attr($post->comment_count); ?>
                    </a>
                </div>
            </div>
        </div>
        <div class="single-post-content">
            <?php
            the_content( sprintf(
                wp_kses(
                /* translators: %s: Name of current post. Only visible to screen readers */
                    esc_html__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'maganizer' ),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                get_the_title()
            ) );
            wp_link_pages( array(
                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'maganizer' ),
                'after'  => '</div>',
            ) );
            ?>
        </div>
    </div>
</div>

