<header class="main-header">
    <div class="very-top">
        <div class="container">
            <div class="row">
                <div class="menu-left-side col-md-8">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'top_nav',
                            'menu_id'        => 'top-menu',
                        ) );
                    }
                    ?>
                </div>
                <div class="today-date col-md-4">
                    <i class="far fa-calendar-alt"></i> <?php echo date('jS F Y'); ?>
                </div>

            </div>
        </div>
    </div>
    <div class="top-layer">
        <div class="container">
            <div class="row">
                <div class="mobile-menu-burger">
                    <i class="fas fa-bars mobile-menu-switch"></i>
                </div>
                <div class="col logo">
                    <a href="<?php echo get_home_url(); ?>">
                        <?php if (function_exists('WPS_framework_init') && wps_get_option('logo_upload_main')) { ?>
                            <img src="<?php echo esc_url(wps_get_option('logo_upload_main')); ?>" alt="<?php bloginfo( 'name' ); ?>">
                        <?php } else { ?>
                            <h1 class="default-title-site-text">
                                <?php bloginfo( 'name' ); ?>
                            </h1>
                        <?php } ?>
                    </a>
                </div>

                <?php if ( wps_get_option('show_hide_header_search' ) == '1') { ?>
                <div class="header-search col-5">
                    <?php echo get_search_form(); ?>
                </div>
                <?php } ?>
                <div class="col social-header-icons">
                    <?php if (function_exists('WPS_framework_init')) { ?>
                        <ul>
                            <?php if (wps_get_option('facebook_url')) { ?>
                                <li class="no-margin-social">
                                    <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>">
                                        <i class="fab fa-facebook-f"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('twitter_url')) { ?>
                                <li class="no-margin-social">
                                    <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>">
                                        <i class="fab fa-twitter"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('youtube_url')) { ?>
                                <li class="no-margin-social">
                                    <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>">
                                        <i class="fab fa-youtube"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('instagram_url')) { ?>
                                <li class="no-margin-social">
                                    <a href="<?php echo esc_url(wps_get_option('instagram_url')); ?>">
                                        <i class="fab fa-instagram"></i>
                                    </a>
                                </li>
                            <?php } ?>
                        </ul>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>

    <div id="wps-installed" class="second-layer">
        <div class="container">
            <div class="row <?php if ( wps_get_option('show_hide_header_widget_title' ) == '' ) { ?>main-top-header-menu <?php } ?>">
                <div class="col-8 menu-side">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'main_nav',
                            'menu_id'        => 'main-menu-top',
                        ) );
                    }
                    ?>
                </div>
                <?php if (function_exists('WPS_framework_init')) { ?>
                    <?php if ( wps_get_option('show_hide_header_widget_title' ) == '1' && is_home() ) { ?>
                        <div class="col widget-header-ttl">
                            <div class="widget-title">
                                <i class="fab fa-gripfire"></i>
                                <div class="text-basement">
                                    <h2><?php echo wps_get_option('header_widget_title'); ?></h2>
                                    <span class="subtitle-head"><?php echo wps_get_option('header_widget_sub_title'); ?></span>
                                </div>
                                <a href="<?php echo esc_url(get_category_link(wps_get_option('header_link_cat_url'))); ?>" class="more-here"><?php echo wps_get_option('header_widget_more_text'); ?></a>
                            </div>
                        </div>
                    <?php } else { ?>
                        <?php if ( is_home() ) { ?>
                        <div class="col widet-tabs">
                            <div class="widget-title">
                                <div class="tab">
                                    <button class="tablinks active" onclick="openCity(event, 'wps<?php echo wps_get_option('tabs_widget_one'); ?>')"><i class="fas fa-layer-group"></i><?php echo wps_get_option('tabs_widget_one'); ?></button>
                                    <button class="tablinks header-mid-tab" onclick="openCity(event, 'wps<?php echo wps_get_option('tabs_widget_two'); ?>')"><i class="fas fa-bookmark"></i><?php echo wps_get_option('tabs_widget_two'); ?></button>
                                    <button class="tablinks" onclick="openCity(event, 'wps<?php echo wps_get_option('tabs_widget_three'); ?>')">
                                        <i class="fas fa-shopping-bag"></i><?php echo wps_get_option('tabs_widget_three'); ?>
                                        <span class="cart-counter">
                                            <?php global $woocommerce; ?>
                                            <?php echo sprintf(_n('%d', '%d', $woocommerce->cart->cart_contents_count, 'maganizer'), $woocommerce->cart->cart_contents_count);?>
                                        </span>
                                    </button>
                                </div>
                            </div>
                        </div>
                        <?php }  ?>
                    <?php }  ?>
                <?php } ?>
            </div>
        </div>
    </div>
</header>