<?php if (wps_get_option('header_ads_placement')) { ?>
    <div class="color-header">
        <div class="ads-placement header-section">
            <a href="<?php echo esc_url(wps_get_option('header_ads_url')); ?>">
                <img src="<?php echo esc_url(wps_get_option('header_ads_placement')); ?>" alt='<?php wp_kses( __( "Header Ads", "maganizer" ), null );?>'>
            </a>
        </div>
    </div>
<?php } ?>

<header class="header-style-four">
    <div class="header-section-start">
        <div class="container">
            <div id="wps-installed" class="main-menu-placement second-layer">
                <div class="header-logo-side">
                    <?php if (function_exists('WPS_framework_init')) {
                        $meta_value = get_post_meta(get_the_ID(), 'post_meta_int', true);
                        if (!empty($meta_value['custom_logo'])) {
                            $demoheaderlogo = $meta_value['custom_logo'];
                            ?>
                            <a href="<?php echo get_home_url(); ?>">
                                <img src="<?php echo esc_url($demoheaderlogo); ?>">
                            </a>
                        <?php } else { ?>
                    <a href="<?php echo get_home_url(); ?>">
                        <?php if (function_exists('WPS_framework_init') && wps_get_option('logo_upload_main')) { ?>
                            <img src="<?php echo esc_url(wps_get_option('logo_upload_main')); ?>" alt='<?php wp_kses( __( "Header Ads", "maganizer" ), null );?>'>
                        <?php } else { ?>
                            <h1 class="default-title-site-text">
                                <?php bloginfo( 'name' ); ?>
                            </h1>
                        <?php } ?>
                    </a>
                    <?php } } ?>
                </div>
                <div class="mobile-menu-burger">
                    <i class="fas fa-bars mobile-menu-switch"></i>
                </div>
                <div class="menu-side main-menu-in-middle">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'main_nav',
                            'menu_id'        => 'main-menu',
                        ) );
                    }
                    ?>
                </div>
                <div class="search-and-social">
                    <?php if ( wps_get_option('show_hide_header_search' ) == '1') { ?>
                    <div class="menu-search-set">
                        <?php echo get_search_form(); ?>
                    </div>
                    <?php } ?>
                    <div class="menu-social-side">
                        <?php if (function_exists('WPS_framework_init')) { ?>
                            <ul>
                                <?php if (wps_get_option('facebook_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>">
                                            <i class="fab fa-facebook-f"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('twitter_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>">
                                            <i class="fab fa-twitter"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('youtube_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>">
                                            <i class="fab fa-youtube"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                                <?php if (wps_get_option('instagram_url')) { ?>
                                    <li>
                                        <a href="<?php echo esc_url(wps_get_option('instagram_url')); ?>">
                                            <i class="fab fa-instagram"></i>
                                        </a>
                                    </li>
                                <?php } ?>
                            </ul>
                        <?php } ?>
                    </div>
                </div>

            </div>
        </div>
    </div>
</header>