<header class="header-one">
    <div class="very-top">
        <div class="container">
            <div class="row">
                <div class="menu-left-side col-md-8">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'top_nav',
                            'menu_id'        => 'top-menu',
                        ) );
                    }
                    ?>
                </div>
                <div class="menu-social-side col-md-4">
                    <?php if (function_exists('WPS_framework_init')) { ?>
                        <ul>
                            <?php if (wps_get_option('facebook_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>">
                                        <i class="fab fa-facebook-f"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('twitter_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>">
                                        <i class="fab fa-twitter"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('youtube_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>">
                                        <i class="fab fa-youtube"></i>
                                    </a>
                                </li>
                            <?php } ?>
                            <?php if (wps_get_option('instagram_url')) { ?>
                                <li>
                                    <a href="<?php echo esc_url(wps_get_option('instagram_url')); ?>">
                                        <i class="fab fa-instagram"></i>
                                    </a>
                                </li>
                            <?php } ?>
                        </ul>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <div class="header-main-cont">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="mobile-menu-burger">
                        <i class="fas fa-bars mobile-menu-switch"></i>
                    </div>
                </div>
                <div class="main-logo-mid">
                    <?php if (function_exists('WPS_framework_init')) {
                        $meta_value = get_post_meta(get_the_ID(), 'post_meta_int', true);
                        if (!empty($meta_value['custom_logo'])) {
                            $demoheaderlogo = $meta_value['custom_logo'];
                            ?>
                            <a href="<?php echo get_home_url(); ?>">
                                <img src="<?php echo esc_url($demoheaderlogo); ?>">
                            </a>
                        <?php } else { ?>
                    <a href="<?php echo get_home_url(); ?>">
                        <?php if (function_exists('WPS_framework_init') && wps_get_option('logo_upload_main')) { ?>
                            <img src="<?php echo esc_url(wps_get_option('logo_upload_main')); ?>" alt="<?php bloginfo( 'name' ); ?>">
                        <?php } else { ?>
                            <h1 class="default-title-site-text">
                                <?php bloginfo( 'name' ); ?>
                            </h1>
                        <?php } ?>
                    </a>
                    <?php } } ?>
                </div>
                <div class="col">
                    <?php
                    if ( class_exists( 'WooCommerce' ) ) { ?>
                        <div class="cart-and-counter">
                            <i class="fas fa-shopping-cart"></i>
                            <?php global $woocommerce; ?>
                            <a class="cart-contents" href="<?php echo esc_url($woocommerce->cart->get_cart_url()); ?>">
                                <?php echo sprintf(_n('%d', '%d', $woocommerce->cart->cart_contents_count, 'maganizer'), $woocommerce->cart->cart_contents_count);?>
                            </a>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
    <div id="wps-installed" class="main-menu-placement second-layer">
        <div class="container">
            <div class="row">
                <div class="menu-side main-menu-in-middle">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'main_nav',
                            'menu_id'        => 'main-menu',
                        ) );
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
</header>