<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_maganizer
 */

get_header(); ?>

	<main class="wocommerce-single-Page <?php if (function_exists('WPS_framework_init')) { } else { ?> very-defualt-instalation <?php } ?>">
        <div class="container">
            <div class="row">
                <div class="<?php if ( is_active_sidebar( 'woo-shop-sidebar' ) ) { ?> woo-content-section col-md-9 <?php } else { ?> col-md-12 no-sidebar <?php } ?>">
                    <?php if ( have_posts() ) {
                        woocommerce_content();
                    } else { ?>
                        <section class="error-404 not-found">
                            <div class="container">
                                <header class="page-header">
                                    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'maganizer' ); ?></h1>
                                </header><!-- .page-header -->
                                <div class="page-content">
                                    <p><?php esc_html_e( 'It looks like nothing was found at this location.', 'maganizer' ); ?></p>
                                    <p><?php esc_html_e( 'Maybe try a search?', 'maganizer' ); ?></p>
                                    <div class="error-search-box">
                                        <form class="themain-search-bbs" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                                            <input type="text" name="s" id="search" placeholder="<?php echo esc_attr_e( 'Search and Hit Enter', 'maganizer' ); ?>" value="<?php the_search_query(); ?>" />
                                            <input class="seach-here" type="submit" id="searchsubmit"
                                                   value="<?php echo esc_attr_e( 'Search', 'maganizer' ); ?>" />
                                        </form>
                                    </div>
                                </div><!-- .page-content -->
                            </div>
                        </section><!-- .error-404 -->
                    <?php }
                    ?>
                </div>
                <?php if ( is_active_sidebar( 'woo-shop-sidebar' ) ) { ?>
                    <div class="woo-sidebar col-md-3">
                        <div class="sidebar-section woo-sidebar-top">
                            <div class="sidebar__inner">
                                <?php dynamic_sidebar( 'woo-shop-sidebar' ); ?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
	</main>

<?php
get_footer();
